package apis

type TGdMerchants struct {
	Id              int64   `json:"id" description:""`
	AppKey          string  `json:"app_key" description:""`
	AppSecret       string  `json:"app_secret" description:""`
	UserId          int64   `json:"user_id" description:""`
	MerchantName    string  `json:"merchant_name" description:"商户名，公司名"`
	SocialCode      string  `json:"social_code" description:"商户信用码"`
	Address         string  `json:"address" description:"商户地址"`
	ContactName     string  `json:"contact_name" description:"联系人"`
	ContactNumber   string  `json:"contact_number" description:"联系号码"`
	MerchantLicense string  `json:"merchant_license" description:"营业执照"`
	IpWhitelist     string  `json:"ip_whitelist" description:"IP白名单"`
	AuthStatus      int     `json:"auth_status" description:"认证状态0 待认证，1认证通过， 2认证不通过"`
	IsHttpCode      int     `json:"is_http_code"`
	CreateTime      string  `json:"create_time" description:""`
	UpdateTime      string  `json:"update_time" description:""`
	MerchantType    int     `json:"merchant_type"`
	Arrearage       float64 `json:"arrearage" description:"可欠费金额"`
	AppPassword     string  `json:"app_password"`
}

type TGdApi struct {
	Id            int64  `json:"id"`
	ApiType       int    `json:"api_type"`
	Name          string `json:"name"`
	Method        string `json:"method" description:"方法，GET POST等"`
	Router        string `json:"router" description:"路由"`
	RequestParam  string `json:"request_param" description:"请求参数"`
	ResponseParam string `json:"response_param" description:"响应参数"`
	//ProviderApiIds string `json:"provider_api_ids" description:"三方api列表 "`
	Enable       bool   `json:"enable"`
	ErrorCodeIds string `json:"error_code_ids"`
	CreateTime   string `json:"create_time"`
	UpdateTime   string `json:"update_time"`
}

type ProviderApiLimit struct {
	ThirdpartApiId     int64  `json:"thirdpart_api_id" description:"三方api id"`
	PlatformName       string `json:"platform_name" description:"三方平台名"`
	PlatformCode       string `json:"platform_code" description:"三方平台码"`
	ThirdpartApiName   string `json:"thirdpart_api_name" description:"三方api名称"`
	ThirdpartApiRouter string `json:"thirdpart_api_router" description:"三方api路由"`
	ThirdpartApiMethod string `json:"thirdpart_api_method" description:"三方api方法"`
	Enable             bool   `json:"enable" description:"是否启用"`
	DayCount           int    `json:"day_count" description:"每日调用量限额"`
	Count              int    `json:"count" description:"总调用量限额"`
}
