package apis

type ManagementGetNameReq struct {
	MerchantId    int64 `json:"merchant_id"`
	ApiId         int64 `json:"api_id"`
	ProviderApiId int64 `json:"provider_api_id"`
	H5ServiceId   int64 `json:"h5_service_id"`
	H5ApiId       int64 `json:"h5_api_id"`
}

type ManagementGetNameReply struct {
	MerchantName    string `json:"merchant_name"`
	ApiName         string `json:"api_name"`
	ProviderName    string `json:"provider_name"`
	ProviderApiName string `json:"provider_api_name"`
	H5ServiceName   string `json:"h5_service_name"`
	H5ApiName       string `json:"h5_api_name"`
	ProviderId      int64  `json:"provider_id"`
	ProviderApiCode string `json:"provider_api_code"`
}

type ManagementGetProviderApiLimitCountReq struct {
	ProviderApiId int64 `json:"provider_api_id"`
}

type ManagementGetProviderApiLimitCountReply struct {
	ProviderApiId int64 `json:"provider_api_id"`
	Count         int64 `json:"count"`
}

type ManagementGetMerchantIdsReq struct {
}

type MerchantInfo struct {
	Id   int64  `json:"id"`
	Name string `json:"name"`
}
type ManagementGetMerchantIdsReply struct {
	Infos []MerchantInfo `json:"infos"`
}

type ManagementGetMerchantApiIdReq struct {
	MerchantChildApiId int64 `json:"merchant_child_api_id"`
}

type ManagementGetMerchantApiIdReply struct {
	MerchantDataApiId int64 `json:"merchant_data_api_id"`
}

type ProviderCountInfo struct {
	ProviderApiId   int64  `json:"provider_api_id"`
	CountType       int    `json:"count_type"`
	CountKey        string `json:"count_key"`
	CountValue      string `json:"count_value"`
	ProviderName    string `json:"provider_name"`
	ProviderApiName string `json:"provider_api_name"`
}

type ManagementGetProviderCountInfoReq struct {
}

type ManagementGetProviderCountInfoReply struct {
	Infos []ProviderCountInfo `json:"infos"`
}

type ManagementGetProviderIdsReq struct {
}

type ProviderIds struct {
	ProviderName string `json:"provider_name"`
	ProviderId   int64  `json:"provider_api_id"`
}
type ManagementGetProviderIdsReply struct {
	Infos []ProviderIds `json:"infos"`
}

type BaseApiShowInfo struct {
	ApiId  int64 `json:"api_id"`
	IsShow bool  `json:"is_show"`
}
type ManagementGetApiShowInfoReq struct {
}
type ManagementGetApiShowInfoReply struct {
	Infos []BaseApiShowInfo `json:"infos"`
}
type ManagementGetMerchantApiTimeoutReq struct {
}

type MerchantApiTimeoutInfo struct {
	MerchantDataApiId int64 `json:"merchant_data_api_id"`
	ApiId             int64 `json:"api_id"`
	Timeout           int   `json:"timeout"`
}
type ManagementGetMerchantApiTimeoutReply struct {
	Infos []MerchantApiTimeoutInfo `json:"infos"`
}
