package errors

import "gd_auth_check/common.in/jsonrpc2"

var (
	SystemError                     = jsonrpc2.NewJsonError(1000, "系统错误")
	ServiceError                    = jsonrpc2.NewJsonError(1001, "服务错误")
	LoginTokenFail                = jsonrpc2.NewJsonError(1002, "token生成失败")
	CheckMerchantNotExist           = jsonrpc2.NewJsonError(1003, "appkey错误")
	CheckMerchantAppPasswordError   = jsonrpc2.NewJsonError(1004, "密码错误")
	CheckApiNotEnable               = jsonrpc2.NewJsonError(1007, "接口已停用")
	CheckApiDayCountLimit           = jsonrpc2.NewJsonError(1008, "接口达到每日上限")
	CheckApiDaysLimit               = jsonrpc2.NewJsonError(1009, "接口已过有效期")
	CheckApiTotalCountLimit         = jsonrpc2.NewJsonError(1010, "接口达到上限")
	CheckApiParamConfParseFailed    = jsonrpc2.NewJsonError(1011, "配置解析失败")
	CheckParamDecryptFail         = jsonrpc2.NewJsonError(1012, "解密失败")
	CheckParamDecryptNull         = jsonrpc2.NewJsonError(1013, "加密参数为空")
	IpAddrErr                       = jsonrpc2.NewJsonError(1014, "IP地址错误")
	BalanceError                    = jsonrpc2.NewJsonError(1015, "余额不足")
	ArrearageError                  = jsonrpc2.NewJsonError(1016, "超过可欠费金额")
	NotAuthError                    = jsonrpc2.NewJsonError(1017, "未认证")
	AuthFailError                   = jsonrpc2.NewJsonError(1018, "未通过认证")
	CheckApiInfoNotExist            = jsonrpc2.NewJsonError(1019, "未购买的接口")
	RateLimit           = jsonrpc2.NewError(1020, "接口调用频繁，请稍后再试")
	ApiTimeOut = jsonrpc2.NewError(1021, "接口响应超时")
	CheckApiNotExist                = jsonrpc2.NewJsonError(1022, "接口不存在")
	ArgsUnsupport       = jsonrpc2.NewJsonError(1023, "不支持的查询参数")
	UserTokenExpire =jsonrpc2.NewJsonError(1024, "token过期")
	UserTokenError = jsonrpc2.NewJsonError(1025, "token错误")
	CheckSignFailed =  jsonrpc2.NewJsonError(1026, "签名验证失败")
	CryptoTypeFailed =  jsonrpc2.NewJsonError(1027, "不支持的加密方式")

	NoRecord            = jsonrpc2.NewJsonError(1100, "无数据")
	VendorError         = jsonrpc2.NewJsonError(1101, "上游异常")
	BadParaFormat       = jsonrpc2.NewJsonError(1102, "参数格式错误")
	ArgsError           = jsonrpc2.NewJsonError(1103, "参数错误")
	DataBaseError       = jsonrpc2.NewJsonError(1104, "服务异常")
	ProviderApiNotFound = jsonrpc2.NewJsonError(1105, "未找到数据源")
	ProviderUnavailable = jsonrpc2.NewJsonError(1106, "数据源不可用")
	NoRecordMustSelect                         = jsonrpc2.NewJsonError(1107, "无数据，必选项为空")
	NoRecordProviderLimit                      = jsonrpc2.NewJsonError(1108, "无数据，数据源达到上限")
	NoRecordProviderError                      = jsonrpc2.NewJsonError(1109, "无数据，数据源最后一步异常")
	NoRecordDataError                          = jsonrpc2.NewJsonError(1110, "无数据，数据异常")
)
