package data_api_check

import (
	"context"
	"gd_auth_check/apis"
	"gd_auth_check/limit"
	"fmt"

	"go.uber.org/zap"
)

// 释放token
func ReleaseToken(ctx context.Context, req *apis.RateLimitToken, reply *apis.RateLimitToken) error {
	defer func() {
		if r := recover(); r != nil {
			l.Error("fatal",
				zap.String("func", "ReleaseToken"),
				zap.String("error", fmt.Sprintf("%v", r)))
			return
		}
	}()

	if req.RouterToken != "" {
		limit.ReleaseRouterLimiterToken(req.Router, req.RouterToken)
	}
	if req.MerchantToken != "" {
		limit.ReleaseMerchantLimiterToken(req.Router, req.AppKey, req.MerchantToken)
	}

	return nil
}
