// Copyright 2019 utimes.cc. All rights reserved.
// Use of this source code is governed by utimes.cc.

package management

import (
	"context"
	"gd_auth_check/apis"
	"gd_auth_check/errors"
	"github.com/astaxie/beego/orm"
)

func ManagementGetProviderCountInfo(ctx context.Context, req *apis.ManagementGetProviderCountInfoReq, reply *apis.ManagementGetProviderCountInfoReply) (err error) {
	sql := "select t1.id as provider_api_id, t1.thirdpart_api_name as provider_api_name, count_type, count_key, count_value, t2.platform_name as provider_name from t_gd_provider_api as t1 left join t_gd_provider as t2 on t2.id=t1.provider_id"
	_, err = orm.NewOrm().Raw(sql).QueryRows(&reply.Infos)
	if err != nil {
		return errors.DataBaseError
	}
	return nil
}
