// Copyright 2019 utimes.cc. All rights reserved.
// Use of this source code is governed by utimes.cc.

package management

import (
	"context"
	"gd_auth_check/apis"
	"gd_auth_check/errors"
	"fmt"
	"github.com/astaxie/beego/orm"
	"time"
)

func MangementGetUserMerchantCountCode(ctx context.Context, req *apis.MangementGetUserMerchantCountCodeReq, reply *apis.MangementGetUserMerchantCountCodeReply) (err error) {
	o := orm.NewOrm()
	sql := fmt.Sprintf("select t1.id as merchant_data_api_id, t1.combo_type, case when t1.combo_type=0 then t1.count when t1.combo_type=1 then t1.count else t1.count_per_day end as count, t2.count_code, t2.count_type, t2.api_id from t_gd_merchant_data_api as t1 left join t_gd_merchant_child_data_api as t2 on t1.id=t2.merchant_data_api_id")
	_, err = o.Raw(sql).QueryRows(&reply.UserMerchantCountCode)
	if err != nil {
		return errors.DataBaseError
	}
	sql = ""
	pdate := time.Now().AddDate(0, 0, -1).Format("2006-01-02")
	for i, v := range reply.UserMerchantCountCode {
		if v.ComboType == 0 {
			continue
		}
		count := 0
		dayCount := 0
		lastDayCount := 0
		lastDate := ""
		date := ""
		if v.ComboType == 1 {
			sql = fmt.Sprintf("select count, day_count, last_day_count, now_date, last_day_date from t_gd_api_access_count where merchant_data_api_id=%d and create_time='0000-00-00'", v.MerchantDataApiId)
		} else {
			sql = fmt.Sprintf("select count, count as day_count, last_day_count, create_time, last_day_date from t_gd_api_access_count where merchant_data_api_id=%d and create_time<>'0000-00-00'", v.MerchantDataApiId)
		}
		err = o.Raw(sql).QueryRow(&count, &dayCount, &lastDayCount, &date, &lastDate)
		if err != nil && err != orm.ErrNoRows {
			return errors.DataBaseError
		}
		if pdate == lastDate {
			reply.UserMerchantCountCode[i].DayUsed = lastDayCount
			if v.ComboType == 1 {
				reply.UserMerchantCountCode[i].Remain = v.Count - (count - dayCount)
			} else {
				reply.UserMerchantCountCode[i].Remain = v.Count - lastDayCount
			}
		} else if pdate == date {
			reply.UserMerchantCountCode[i].DayUsed = dayCount
			reply.UserMerchantCountCode[i].Remain = v.Count - count
		} else {
			reply.UserMerchantCountCode[i].DayUsed = 0
			if v.ComboType == 1 {
				reply.UserMerchantCountCode[i].Remain = v.Count - count
			} else {
				reply.UserMerchantCountCode[i].Remain = v.Count
			}
		}
		if reply.UserMerchantCountCode[i].Remain < 0 {
			reply.UserMerchantCountCode[i].Remain = 0
		}
	}
	return nil
}
